/**
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package com.google.gwt.event.logical.shared;

public class TouchMoveEvent extends AbstractTouchEvent<TouchMoveHandler> {

	private static final Type<TouchMoveHandler> TYPE = new Type<TouchMoveHandler>(
			"touchmove", new TouchMoveEvent());

	public static Type<TouchMoveHandler> getType() {
		return TYPE;
	}

	@Override
	public com.google.gwt.event.dom.client.DomEvent.Type<TouchMoveHandler> getAssociatedType() {
		return TYPE;
	}

	@Override
	protected void dispatch(TouchMoveHandler handler) {
		handler.onTouchMove(this);
	}
}
