/**
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package com.google.gwt.jquery.mobile.ui;

import com.google.gwt.jquery.mobile.ui.face.HasPerspective;
import com.google.gwt.user.client.ui.HTMLPanel;
import com.google.gwt.user.client.ui.Widget;

public class Description extends HTMLPanel {

	private boolean initialized = false;
	
	public Description(String html) {
		super("p", html);
	}

	@Override
	protected void onAttach() {
		if (!initialized) {
			HasPerspective provider = null;
			Widget parent = getParent();
			while (null != parent) {
				if (parent instanceof HasPerspective) {
					provider = (HasPerspective) parent;
					break;
				}
				else {
					parent = parent.getParent();
				}
			}
			if (null != provider) {
				addStyleName(provider.getPerspective() + "-desc");
			}
			else {
				addStyleName("ui-desc");
			}
			initialized = true;
		}
		super.onAttach();
	}
}
