/**
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package com.google.gwt.jquery.mobile.ui;

import com.google.gwt.jquery.mobile.ui.base.AbstractWidgetContainer;
import com.google.gwt.jquery.mobile.ui.face.HasInset;

public class ListView extends AbstractWidgetContainer implements HasInset {

	private boolean inset;

	public ListView() {
		this("ul");
	}

	protected ListView(String nodeName) {
		super(nodeName, "ui-listview", "listview", "listbox");
		setOrientation(ORIENTATION_VERTICAL);
	}

	public String getDefaultThemedStyleName() {
		return "ui-listview";
	}

	public void setInset(boolean inset) {
		this.inset = inset;
		onStaticStyleNameChange(false);
	}

	public boolean isInset() {
		return inset;
	}

	public String getInsetPrefix() {
		return "ui-listview";
	}
}