/**
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package com.google.gwt.jquery.mobile.ui;

import com.google.gwt.dom.client.Element;
import com.google.gwt.jquery.mobile.ui.face.HasDataTheme;
import com.google.gwt.jquery.mobile.ui.util.JQueryMobile;
import com.google.gwt.user.client.DOM;
import com.google.gwt.user.client.Event;

public class TextArea extends com.google.gwt.user.client.ui.TextArea implements HasDataTheme {

	private String dataTheme;

	public TextArea() {
		super();
		init();
		sinkEvents(Event.ONFOCUS | Event.ONBLUR);
	}

	protected TextArea(Element element) {
		super(element);
		init();
	}

	protected void init() {
		setStyleName("ui-input-text ui-corner-all ui-shadow-inset");
	}

	public void setDataTheme(String dataTheme) {
		if (null != this.dataTheme)
			removeStyleName("ui-body-" + dataTheme);
		this.dataTheme = dataTheme;
		if (null != this.dataTheme)
			addStyleName("ui-body-" + dataTheme);
	}

	public String getDataTheme() {
		return dataTheme;
	}

	public String getDefaultThemedStyleName() {
		return null;
	}

	@Override
	protected void onAttach() {
		super.onAttach();
		JQueryMobile.initWidget(this);
	}

	@Override
	public void onBrowserEvent(Event event) {
		super.onBrowserEvent(event);
		switch (DOM.eventGetType(event)) {
		case Event.ONFOCUS:
			addStyleName("ui-focus");
			break;
		case Event.ONBLUR:
			removeStyleName("ui-focus");
			break;
		}
	}
}