/**
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package com.google.gwt.jquery.mobile.ui.base;

import com.google.gwt.jquery.mobile.ui.face.HasCorners;
import com.google.gwt.jquery.mobile.ui.face.HasPosition;
import com.google.gwt.user.client.ui.Widget;

public abstract class AbstractBar extends AbstractWidgetContainer implements HasCorners {

	public AbstractBar(String cssClass, String dataRole, String role) {
		super("div", cssClass, dataRole, role);
	}

	@Override
	public String getThemedStyleName() {
		return "ui-bar";
	}

	public String getDefaultThemedStyleName() {
		return "ui-bar";
	}

	@Override
	public boolean isInteractive() {
		return false;
	}
	
	@Override
	protected void add(Widget child,
			com.google.gwt.user.client.Element container) {
		super.add(child, container);
		if (child instanceof HasPosition) {
			String position = ((HasPosition) child).getPosition();
			if (null == position)
				((HasPosition) child).setPosition(HasPosition.POSITION_LEFT);
		}
	}
}