/**
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package com.google.gwt.jquery.mobile.ui.base;

import com.google.gwt.dom.client.Element;
import com.google.gwt.user.client.DOM;

public abstract class AbstractTitledBar extends AbstractBar {

	private Element textElement;

	public AbstractTitledBar(String text, String cssClass, String dataRole, String role) {
		super(cssClass, dataRole, role);
		if (null != text) setText(text);
	}

	public void setText(String text) {
		if (null == textElement) {
			textElement = DOM.createElement(getTextNodeName());
			getElement().insertFirst(textElement);
			textElement.setAttribute("class", "ui-title");
		}
		textElement.setInnerText(text);
	}
	
	protected abstract String getTextNodeName();
}
