/**
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package com.google.gwt.jquery.mobile.ui.util;

import com.google.gwt.core.client.GWT;
import com.google.gwt.event.logical.shared.ScrollStopHandler;
import com.google.gwt.event.shared.HandlerRegistration;
import com.google.gwt.user.client.ui.Widget;

public class JQueryMobile {

	private static JQueryMobileImpl impl = GWT.create(JQueryMobileImpl.class);

	public static void init() {
		impl.init();
	}

	public static void initWidget(Widget w) {
		impl.initWidget(w);
	}

	public static void showLoadingMask() {
		impl.showLoadingMask();
	}

	public static void showLoadingMask(String loadingText) {
		impl.showLoadingMask(loadingText);
	}

	public static void hideLoadingMask() {
		impl.hideLoadingMask();
	}

	public static boolean supportsMobileEvents() {
		return impl.supportsMobileEvents();
	}

	public static HandlerRegistration addScrollStopHandler(ScrollStopHandler handler) {
		return impl.addScrollStopHandler(handler);
	}
}